=== include/limesdr/CMakeLists.txt ===
# Copyright 2011,2012 Free Software Foundation, Inc.
#
# This file was generated by gr_modtool, a tool from the GNU Radio framework
# This file is a part of gr-limesdr
#
# SPDX-License-Identifier: GPL-3.0-or-later
#

########################################################################
# Install public header files
########################################################################
install(FILES
    api.h
    sink.h
    source.h
    DESTINATION include/limesdr
)
if(ENABLE_RFE)
    install(FILES rfe.h DESTINATION include/limesdr
    )
endif()
