=== debian/changelog ===
gr-limesdr (3.0.1.10.69-4) unstable; urgency=medium

  [ A. Maitland Bottoms ]
  * Update standards version to 4.7.2, no changes needed.
  * Depends change to pkgconf
  * Rebuild with pybind11 3.x (Closes: #1116300)

  [ Kentaro Hayashi ]
  * Use "GNU Radio" wording

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 17 Oct 2025 19:06:12 -0400

gr-limesdr (3.0.1.10.69-3) unstable; urgency=medium

  * upload to unstable
  * autopkgtest superficial tests passing again (Closes: #1043065)

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 07 Aug 2023 21:52:51 -0400

gr-limesdr (3.0.1.10.69-2) experimental; urgency=medium

  * Bump SONAME due to ABI changes (Closes: 1043120)
  * Upload to experimental for new libgnuradio-limesdr3.0.2 package

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 06 Aug 2023 12:58:30 -0400

gr-limesdr (3.0.1.10.69-1) unstable; urgency=medium

  [ Christoph Berg ]
  * Update watch file to look at github tags.

  [ A. Maitland Bottoms ]
  * New upstream source from gr-3.10 branch: v3.0.1-69-gd0fac85
  * Update standards version to 4.6.2, no changes needed.
  * Adjust dependencies (now using pybind11 instead of swig)
  * add doc-base entries.

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 05 Aug 2023 14:10:29 -0400
