=== debian/control ===
Source: gr-limesdr
Section: hamradio
Priority: optional
Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders: A. Maitland Bottoms <bottoms@debian.org>,
           Andreas Bombe <aeb@debian.org>,
           Christoph Berg <myon@debian.org>,
Build-Depends: cmake,
               debhelper-compat (= 13),
               dh-python,
               doxygen,
               gnuradio-dev (>= 3.10),
               libgmp-dev,
               liblimesuite-dev (>= 19.04),
               libspdlog-dev,
               libvolk-dev,
               pkgconf,
	       pybind11-dev,
               python3-dev,
               python3-numpy
Standards-Version: 4.7.2
Homepage: https://wiki.myriadrf.org/Gr-limesdr_Plugin_for_GNURadio
Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/gr-limesdr
Vcs-Git: https://salsa.debian.org/debian-hamradio-team/gr-limesdr.git

Package: gr-limesdr
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: gnuradio,
         libgnuradio-limesdr3.0.2 (= ${binary:Version}),
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
Description: LimeSDR blocks for GNU Radio
 LimeSDR is a low cost, open source software defined radio (SDR) platform that
 can be used to support just about any type of wireless communication standard.
 .
 Currently this plugin supports LimeSDR-USB and LimeSDR-Mini boards.
 .
 The gr-limesdr blocks for GNU Radio can be used to create flowgraphs that
 interface LimeSDR devices through liblimesuite.
 .
 This package contains the development files.

Package: libgnuradio-limesdr3.0.2
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: LimeSDR blocks for GNU Radio (runtime library)
 LimeSDR is a low cost, open source software defined radio (SDR) platform that
 can be used to support just about any type of wireless communication standard.
 .
 Currently this plugin supports LimeSDR-USB and LimeSDR-Mini boards.
 .
 The gr-limesdr blocks for GNU Radio can be used to create flowgraphs that
 interface LimeSDR devices through liblimesuite.
 .
 This package contains the shared library.
