=== debian/tests/control ===
Tests: python
Depends: gr-limesdr, python3-all
Restrictions: superficial
