=== debian/watch ===
version=4
https://github.com/myriadrf/gr-limesdr/tags .*/v([\d\.]+)\.tar\.gz
